# GOV.UK Mini Environment Admin
# Copyright © 2018  Christopher Baines <mail@cbaines.net>
#
# This file is part of the GOV.UK Mini Environment Admin.
#
# The GOV.UK Mini Environment Admin is free software: you can
# redistribute it and/or modify it under the terms of the GNU Affero
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later
# version.
#
# The GOV.UK Mini Environment Admin is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with the GOV.UK Mini Environment Admin.  If not, see
# <http://www.gnu.org/licenses/>.

# == Schema Information
#
# Table name: que_jobs
#
#  priority             :integer          default(100), not null
#  run_at               :datetime         not null
#  id                   :integer          not null, primary key
#  job_class            :text             not null
#  error_count          :integer          default(0), not null
#  last_error_message   :text
#  queue                :text             default("default"), not null
#  last_error_backtrace :text
#  finished_at          :datetime
#  expired_at           :datetime
#  args                 :jsonb            not null
#  data                 :jsonb            not null
#

require 'que/active_record/model'

class QueJob < Que::ActiveRecord::Model
end
