require_relative 'boot'

require 'rails/all'

# TODO Not sure if these are best here
require 'govuk_admin_template'
require 'plek'

require 'web_console' if ENV['RAILS_ENV'] == 'development'
require 'with_advisory_lock'

module GovukMiniEnvironmentAdmin
  class Application < Rails::Application
    # Initialize configuration defaults for originally generated Rails version.
    config.load_defaults 5.1

    # Settings in config/environments/* take precedence over those specified here.
    # Application configuration should go into files in config/initializers
    # -- all .rb files in that directory are automatically loaded.

    config.autoload_paths << "#{Rails.root}/lib"
    config.eager_load_paths << "#{Rails.root}/lib"

    config.active_record.schema_format = :sql
  end
end
