class AddStateIdToTerraformState < ActiveRecord::Migration[5.1]
  def change
    add_column :terraform_states, :state_id, :string, null: false, default: ''
    execute(
      "UPDATE terraform_states "\
      "SET state_id = 'mini_environment/' || mini_environment_id::text"
    )
    change_column :terraform_states, :state_id, :string, null: false
  end
end
