require 'integration_test_helper'

class QueJobsControllerTest < ActionDispatch::IntegrationTest
  setup do
    login_as User.new
  end

  test 'cancel' do
    job = GovukGuix::FetchRevisionJob.enqueue('test-revision')

    post cancel_que_job_path(job.que_attrs[:id])

    assert_response :redirect
  end

  test 'retry now' do
    job = GovukGuix::FetchRevisionJob.enqueue('test-revision')

    post retry_now_que_job_path(job.que_attrs[:id])

    assert_response :redirect
  end
end
